<?php
//Obtener parametros de la URL enviados por PayPhone
$client = $_POST['client'];
$transaccion = $_POST['transaction'];
$refer = $_POST['refer'];
$docu = $_POST['docu'];
$idnum = $_POST['idnum'];
$idx = $_POST['idx'];


// $xempr='ptsa';
// $client='2021021701044531';
// $transaccion='4361616';

include('php_gene1.php');
chdir('../'.$xempr.'/_lib');
include('../_cfg/config.php');



$paytipo='PPHO';
$sql_inse='insert into payt0(payt_codigo,payt_status,payt_idate)value("'.$client.'","-",now())';
$res_inse=msql_query($sql_inse,$link_vcrx);

$sql_updt ='update payt0 set ';
$sql_updt.='payt_descri="'.$refer.'", ';
$sql_updt.='payt_transaction="'.$transaccion.'", ';
$sql_updt.='payt_tipo="'.$paytipo.'" ';
$sql_updt.='where payt_codigo="'.$client.'"';
$res_updt=msql_query($sql_updt,$link_vcrx);

$sql_updt ='update payt0 set ';
$sql_updt.='payt_docu="'.$docu.'", ';
$sql_updt.='payt_idnum="'.$idnum.'", ';
$sql_updt.='payt_tipo="'.$paytipo.'" ';
$sql_updt.='where payt_codigo="'.$client.'"';
$res_updt=msql_query($sql_updt,$link_vcrx);

// get_payphone($xempr,$client);

     $data_array = array('id'=> (int)$transaccion,'clientTxId'=>$client );
     $data = json_encode($data_array);
     $curl = curl_init();
     curl_setopt($curl, CURLOPT_URL, 'https://pay.payphonetodoesposible.com/api/button/V2/Confirm');
     curl_setopt($curl, CURLOPT_POST, 1);
     curl_setopt($curl, CURLOPT_POSTFIELDS, $data);
     curl_setopt_array($curl, array(CURLOPT_HTTPHEADER => array('Authorization: Bearer '.$cfg_payphone['token'],'Content-Type:application/json'),));
     curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
     $result = curl_exec($curl);
     curl_close($curl);

     $sql_updt ='update payt0 set ';
     $sql_updt.='payt_response=\''.$result.'\', ';
     $sql_updt.='payt_tipo="'.$paytipo.'" ';
     $sql_updt.='where payt_codigo="'.$client.'" ';
     $res_updt=msql_query($sql_updt,$link_vcrx);

     $result=json_decode($result);

     $sql_updt ='update payt0 set ';
     $sql_updt.='payt_status="'.$result->{'transactionStatus'}.'", ';
     $sql_updt.='payt_authorization="'.$result->{'authorizationCode'}.'", ';
     $sql_updt.='payt_tipo="'.$paytipo.'" ';
     $sql_updt.='where payt_codigo="'.$client.'" ';
     $res_updt=msql_query($sql_updt,$link_vcrx);

// si es PF o PC => generar factura y registrar DC10

?>